Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.project
Class ViewProject

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.project.ViewProject

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ProjectAware, ReturnUrlAware

    public class ViewProject

extends BambooActionSupport
implements ProjectAware

Field Summary
`static String` | `SINGLEBUILD`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewProject()`

Method Summary
`String` | `execute()`
`Project` | `getProject()`
`long` | `getProjectId()`
`String` | `getProjectKey()`
`String` | `getSingleBuildKey()`
`boolean` | `isFavourite(Build build)`
`void` | `setLabelManager(LabelManager labelManager)`
`void` | `setProjectDao(ProjectDao projectDao)`
`void` | `setProjectId(long projectId)`
`void` | `setProjectKey(String projectKey)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### SINGLEBUILD

    public static final String SINGLEBUILD

See Also:
  Constant Field Values

Constructor Detail

### ViewProject

    public ViewProject()

Method Detail

### execute

    public String execute()
                   throws Exception

  Throws:
    `Exception`

### getProject

    public Project getProject()

  Specified by:
    `getProject` in interface `ProjectAware`

### isFavourite

    public boolean isFavourite(Build build)

### getProjectId

    public long getProjectId()

### setProjectId

    public void setProjectId(long projectId)

### getProjectKey

    public String getProjectKey()

### setProjectKey

    public void setProjectKey(String projectKey)

### setProjectDao

    public void setProjectDao(ProjectDao projectDao)

### setLabelManager

    public void setLabelManager(LabelManager labelManager)

### getSingleBuildKey

    public String getSingleBuildKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.